Bug 193061 - crash utility on x86_64: "vm -p" fails with a "pml page" read error
Summary: crash utility on x86_64: "vm -p" fails with a "pml page" read error
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: crash   
(Show other bugs)
Version: 4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Dave Anderson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 193060
Blocks: 181409
TreeView+ depends on / blocked
 
Reported: 2006-05-24 20:29 UTC by Dave Anderson
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2006-0478
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 21:25:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0478 normal SHIPPED_LIVE crash bug fix update 2006-08-10 04:00:00 UTC

Description Dave Anderson 2006-05-24 20:29:32 UTC
+++ This bug was initially created as a clone of Bug #193060 +++

Description of problem:
crash utility: vm -p command fails with "pml page" read error

Version-Release number of selected component (if applicable): 
crash 4.0-2.25


How reproducible:
On a x86_64 machine, run the "vm -p" command on any user process.

Steps to Reproduce:


1. On an x86_64 machine, run the crash utility on a vmcore or live system.
2. Enter "vm -p 1", which should dump all pages mapped into PID 1's address space.
3. 
  
Actual results:

crash> vm -p 1
PID: 1      TASK: 1003fe637f0       CPU: 2   COMMAND: "init"
       MM               PGD          RSS    TOTAL_VM
  1003f7404c0       1003da08000      648k    4748k
      VMA           START       END     FLAGS FILE
  1003f748268        400000     409000   1875 /sbin/init
VIRTUAL     PHYSICAL
vm: read error: physical address: 3da08000  type: "pml page"
crash>



Expected results:

A complete dump of all pages mapped into the process address space.

Additional info:

Comment 1 Dave Anderson 2006-05-24 20:33:45 UTC
Linda, 

This is the late-breaking bug that needs to be added to the
RHEL3-U8 errata.  Can you set the appropriate fields in motion?

Comment 2 Dave Anderson 2006-05-24 20:34:49 UTC
> RHEL3-U8 errata.  Can you set the appropriate fields in motion?

Make that the RHEL4-U4 errata...

Comment 6 Dave Anderson 2006-05-25 20:33:16 UTC
Fix checked in to RHEL4 CVS, crash version 4.0-2.30.

Comment 11 Red Hat Bugzilla 2006-08-10 21:25:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0478.html



Note You need to log in before you can comment on or make changes to this bug.